package com.qmth.paper.library.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 数据检查
 */
public class PaperLibraryImageResult implements Serializable {

    @ApiModelProperty(value = "图片ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperLibraryId;
    @ApiModelProperty(value = "图片访问地址（解析后地址）")
    private List<String> fileUrls;
    @ApiModelProperty(value = "批次号")
    private String batchNo;

    public Long getPaperLibraryId() {
        return paperLibraryId;
    }

    public void setPaperLibraryId(Long paperLibraryId) {
        this.paperLibraryId = paperLibraryId;
    }

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }
}
